QwtValuePointData< T > Class Template Reference

Interface for iterating over a QVector<T>. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtValuePointData< T >:

## Public Member Functions

| QwtValuePointData (const QVector< T > &y)
| QwtValuePointData (const T *y, size_t size)
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
const QVector< T > & | yData () const
Public Member Functions inherited from QwtPointSeriesData
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QPointF > &samples)
void | setSamples (const QVector< QPointF > &samples)
const QVector< QPointF > | samples () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

### template<typename T>
class QwtValuePointData< T >

Interface for iterating over a QVector<T>.

The memory contains the y coordinates, while the index is interpreted as x coordinate.

Definition at line 67 of file qwt_point_data.h.

## Constructor & Destructor Documentation

## QwtValuePointData() [1/2]

template<typename T >

QwtValuePointData< T >::QwtValuePointData | ( | const QVector< T > & | y | ) |

Constructor

Parameters

  y | Array of y values

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 266 of file qwt_point_data.h.

## QwtValuePointData() [2/2]

template<typename T >

QwtValuePointData< T >::QwtValuePointData | ( | const T * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters

  y | Array of y values
  size | Size of the x and y arrays

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 279 of file qwt_point_data.h.

## Member Function Documentation

## sample()

template<typename T >

QPointF QwtValuePointData< T >::sample | ( | size_t | index | ) | const

overridevirtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 299 of file qwt_point_data.h.

## size()

template<typename T >

size_t QwtValuePointData< T >::size

overridevirtual

Returns
  Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 287 of file qwt_point_data.h.

## yData()

template<typename T >

const QVector< T > & QwtValuePointData< T >::yData

Returns
  Array of the y-values

Definition at line 306 of file qwt_point_data.h.